﻿namespace ProjectCruiser.Entities;

public class EntityBase
{
    // свойства
    public int Speed { get; private set; } // скорость
    public double Weight { get; private set; } // вес
    public Color MainColor { get; private set; } // основной цвет

    public void setMainColor(Color clr)
    {
        MainColor = clr;
    }

    // public bool Deckhouse { get; private set; } // салон на верхней палубе
    public double Step => Speed * 100 / Weight;

    public int[] values = { 0, 0, 0 };

    public EntityBase(int speed, double weight, Color mainc)
        // (bool) deckhouse -> default TRUE now
    {
        Random rn = new();
        Speed = speed;
        Weight = weight;
        MainColor = mainc;
        // Deckhouse = deckhouse;
        values[0] = rn.Next(1, 4);
        values[1] = rn.Next(5, 10);
        values[2] = rn.Next(1, 3);
    }
}
