﻿namespace ProjectCruiser.Entities;

public class EntityCruiser : EntityBase
{
    public Color AdditionalColor { get; private set; } // доп. цвет

    public void setAdditionalColor(Color clr)
    {
        AdditionalColor = clr;
    }

    // признаки (наличия)
    public bool HelicopterPads { get; private set; } // вертолетная площадка
    public bool Hangars { get; private set; } // ангар

    public EntityCruiser(int speed, double weight, Color mainc,
        Color additionalColor, bool pad, bool hangars)
        : base(speed, weight, mainc)
    {
        AdditionalColor = additionalColor;
        HelicopterPads = pad; // non-default now for editor Form3
        Hangars = hangars;
    }
}
